aboutsummaryrefslogtreecommitdiff
path: root/git-applymbox.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git-applymbox.sh')
-rwxr-xr-xgit-applymbox.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/git-applymbox.sh b/git-applymbox.sh
index 1f68599ae..2cbdc7eb3 100755
--- a/git-applymbox.sh
+++ b/git-applymbox.sh
@@ -77,6 +77,10 @@ do
*)
git-mailinfo $keep_subject $utf8 \
.dotest/msg .dotest/patch <$i >.dotest/info || exit 1
+ test -s $dotest/patch || {
+ echo "Patch is empty. Was is split wrong?"
+ stop_here $this
+ }
git-stripspace < .dotest/msg > .dotest/msg-clean
;;
esac